Skip to main content
Version: 2.3.0

Get list of users

Updated date: 18/09/2026
Updated by: VNPT eContract's team


Purpose​

The function retrieves the list of company users

  • Request URL: /api/users
  • HTTP method: GET
  • Authorize: Bearer token
  • Parameter: Not required, but additional options can be added below to filter or search the list of users.
KeyTypeDescription
searchstringSearch information by user code, user name, or phone number
statusintUser status
1: Enabled
-1: Disabled
signMethodintSign method
2: VNPT Smart CA
3: Sign token
userGroupIdintId of user group
departmentIdintId of department
certStatusintStatus of Self-signed cert
0: Not exist
1: Exist
2: Expired
pageintPage number (default is 1)
pageSizeintPage size (default is 10 records)

Sample request​

Query param:
page: 1
pageSize: 10
search: baoth
Request: /api/users?page=1&pageSize=10&search=user01

Sample response body​

{
"data": {
"items": [
{
"id": 1163,
"createdDate": "2021-08-12T14:46:22.7857729",
"comId": 164,
"code": "USER01",
"name": "Nguyen Van A",
"phone": "0919XXXXXX",
"email": "email_address",
"address": "user_address",
"identityVerificationStatus": {
"value": 0,
"description": "Not verified"
},
"identityVerifiedType": {
"value": 0,
"description": "Unknown"
},
"identityVerifiedSource": {
"value": 0,
"description": "Unknown"
},
"taxCode": "",
"isValid": true,
"signConfirmationEnabled": true,
"isAccountLocked": false,
"roles": [
{
"id": "30933485-7f71-46af-71a3-08def1dc25d3",
"code": "Default",
"name": "Default",
"description": "Default Role with Document Processing Permissions",
"roleLevel": 0
}
],
"signMethod": {
"value": 2,
"description": "VNPT Smart CA"
},
"status": {
"value": 1,
"description": "Enabled"
},
"receiveOtpMethod": {
"value": 1,
"description": "Email"
},
"receiveNotificationMethod": {
"value": 0,
"description": "Email"
},
"personalCertificateId": 2028,
"extraValues": [],
"usedMemory": 0,
"userCertificates": [],
"smartCaGroups": [],
"waitingChangeRequest": false,
"twoFactorEnabled": true,
"titles": [],
"allowedCertificateUids": []
}
],
"totalCount": 1,
"pageCount": 1,
"page": 1,
"pageSize": 10,
"hasNextPage": false,
"hasPreviousPage": false
},
"success": true,
"code": 0,
"messages": []
}

Response Body Description​

KeyTypeDescription
successbooleanResponse status (true: Success, false: Failure)
codeintResponse code from the system
messagesarrayList of messages returned by the system
dataobjectObject containing the list of users and pagination data (see details below)

Details of data:​

KeyTypeDescription
itemsarrayList of detailed user information (see user details)
totalCountintTotal number of users matching the filter criteria
pageCountintTotal number of pages
pageintCurrent page
pageSizeintNumber of records per page
hasNextPagebooleanWhether there is a next page (true: Yes, false: No)
hasPreviousPagebooleanWhether there is a previous page (true: Yes, false: No)